[AutoComplete]
System.=arraycopy(Object, int, Object, int, int) void|arraycopy+n##currentTimeMillis() void|currentTimeMillis()+n##err PrintStream|err+c##exit(int) void|exit+n##gc() void|gc()+n##getenv(String) String|getenv+n##getProperties() Properties|getProperties()+n##getProperty(String, String) String|getProperty+n##getProperty(String) String|getProperty+n##getSecurityManager() SecurityManager|getSecurityManeger()+n##identifyHashCode(Object) int|identifyHashCode+n##in InputStream|in+c##load(String) void|load+n##loadLibrary(String) void|loadLibrary+n##mapLibraryName(String) String|mapLibraryName+n##out PrintStream|out+c##runFinalization() void|runFinalization()+n##runFinalizersOnExit(boolean) void|runFinalizersOnExit+n##setErr(PrintStream) void|setErr+n##setIn(InputStream) void|setIn+n##setOut(PrintStream) void|setOut+n##setProperties(Properties) void|setProperties+n##setProperty(String, String) String|setProperty+n##setSecurityManager(SecurityManager) void|setSecurityManager+n##
System.err.=checkError() boolean|checkError()+n##close() void|close()+n##equals(Object) boolean|equals+n##flush() void|flush()+n##getClass() Class|getClass()+n##hashCode() int|hashCode()+n##notify() void|notify()+n##notifyAll() void|notifyAll()+n##print(boolean) void|print+n##print(char) void|print+n##print(char[]) void|print+n##print(double) void|print+n##print(float) void|print+n##print(int) void|print+n##print(long) void|print+n##print(Object) void|print+n##print(String) void|print+n##println() void|println()+n##println(boolean) void|println+n##println(char) void|println+n##println(char[]) void|println+n##println(double) void|println+n##println(float) void|println+n##println(int) void|println+n##println(long) void|println+n##println(Object) void|println+n##println(String) void|println+n##toString() String|toString()+n##wait() void|wait()+n##wait(long, int) void|wait+n##wait(long) void|wait+n##write(byte[], int, int) void|write+n##write(byte[]) void|write+n##write(int) void|write+n##
System.out.=checkError() boolean|checkError()+n##close() void|close()+n##equals(Object) boolean|equals+n##flush() void|flush()+n##getClass() Class|getClass()+n##hashCode() int|hashCode()+n##notify() void|notify()+n##notifyAll() void|notifyAll()+n##print(boolean) void|print()+n##print(char) void|print()+n##print(char[]) void|print()+n##print(double) void|print()+n##print(float) void|print()+n##print(int) void|print()+n##print(long) void|print()+n##print(Object) void|print()+n##print(String) void|print()+n##println() void|println()+n##println(boolean) void|println()+n##println(char) void|println()+n##println(char[]) void|println()+n##println(double) void|println()+n##println(float) void|println()+n##println(int) void|println()+n##println(long) void|println()+n##println(Object) void|println()+n##println(String) void|println()+n##toString() String|toString()+n##wait() void|wait()+n##wait(long, int) void|wait()+n##wait(long) void|wait()+n##write(byte[], int, int) void|write()+n##write(byte[]) void|write()+n##write(int) void|write()+n##
System.in.=available() int|available()+n##close() void|close()+n##equals(Object) boolean|equals+n##getClass() Class|getClass()+n##hashCode() int|hashCode()+n##mark(int) void|mark+n##markSupported() boolean|markSupported()+n##notify() void|notify()+n##notifyAll() void|notifyAll()+n##read() int|read()+n##read(byte[], int, int) int|read+n##read(byte[]) int|read+n##reset() void|reset()+n##skip(long) long|skip+n##toString() String|toString()+n##wait() void|wait()+n##wait(long, int) void|wait+n##wait(long) void|wait+n##

[MultiHighlight]
Syntax=Html
File=Html.syx
ASPLanguage=JSP.syx

[UserMenu]
1=_jspService()|_jspService()+n
2=_jspxFactory|_jspxFactory+c
3=abstract|abstract+c
4=application|application+c
5=boolean|boolean+c
6=break|break+c
7=byte|byte+c
8=case|case+c
9=catch|catch+c
10=char|char+c
11=class|class+c
12=comment|/* ?*/+2
13=config|config+c
14=continue|continue+c
15=default|default+c
16=do|do+c
17=double|double+c
18=else|else+c
19=enum|enum+c
20=extends|extends+c
21=false|false+c
22=final|final+c
23=finally|finally+c
24=float|float+c
25=for|for+c
26=for statement|for (int i = 0; i < ?; i++);+2
27=for statement block|for (int i = 0; i < ?; i++) {}+2
28=fostream (PrintWriter)|PrintWriter fostream = new PrintWriter(new FileWriter(filename));?+2
29=if|if+c
30=implements|implements+c
31=import|import+c
32=instanceof|instanceof+c
33=int|int+c
34=interface|interface+c
35=JspJavaCode|JspJavaCode+c
36=long|long+c
37=main function|public static void main (String[] args) {?}+2
38=native|native+c
39=new|new+c
40=null|null+c
41=out (JspWriter)|out+c
42=package|package+c
43=page|page+c
44=pageContext|pageContext+c
45=println (System.out)|System.out.println()+2
46=private|private+c
47=protected|protected+c
48=public|public+c
49=request|request+c
50=response|response+c
51=return|return+c
52=session|session+c
53=short|short+c
54=static|static+c
55=streamin (BufferedReader)|BufferedReader streami = new BufferedReader(new InputStreamReader(System.in));?+2
56=strictfp|strictfp+c
57=super|super+c
58=switch|switch+c
59=switch statement block|switch (?) {case : break;case : break;default :}+2
60=synchronized|synchronized+c
61=this|this+c
62=throw|throw+c
63=throws|throws+c
64=transient|transient+c
65=true|true+c
66=try|try+c
67=try catch block|try {?}catch (Exception ex) {}+2
68=try catch finally block|try {?}catch (Exception ex) {}finally {}+2
69=while|while+c
70=void|void+c
71=volatile|volatile+c

[Comment]
1=*************************************************************
2=<b>Syntax:</b> JSP
3=<b>Author:</b> Rickard Johansson
4=*************************************************************

[Hints]
1=System.arraycopy(Object src, int srcPos, Object dest, int destPos, int length)
2=System.exit(int status)
3=System.getenv(String name)
4=System.getProperty(String key, String def)
5=System.getProperty(String key)
6=System.identifyHashCode(Object x)
7=System.load(String filename)
8=System.loadLibrary(String libname)
9=System.mapLibraryName(String libname)
10=System.runFinalizersOnExit(boolean value)
11=System.setErr(PrintStream err)
12=System.setIn(InputStream in)
13=System.setOut(PrintStream out)
14=System.setProperties(Properties props)
15=System.setProperty(String key, String value)
16=System.setSecurityManager(SecurityManager s)
17=System.err.equals(Object obj)
18=System.err.print(boolean b)
19=System.err.print(char c)
20=System.err.print(char[] s)
21=System.err.print(double d)
22=System.err.print(float f)
23=System.err.print(int i)
24=System.err.print(long l)
25=System.err.print(Object obj)
26=System.err.print(String s)
27=System.err.println(boolean b)
28=System.err.println(char c)
29=System.err.println(char[] s)
30=System.err.println(double d)
31=System.err.println(float f)
32=System.err.println(int i)
33=System.err.println(long l)
34=System.err.println(Object obj)
35=System.err.println(String s)
36=System.err.wait(long timeout, int nanos)
37=System.err.wait(long timeout)
38=System.err.write(byte[] buf, int off, int len)
39=System.err.write(byte[] b)
40=System.err.write(int b)
41=System.out.equals(Object obj)
42=System.out.print(boolean b)
43=System.out.print(char c)
44=System.out.print(char[] s)
45=System.out.print(double d)
46=System.out.print(float f)
47=System.out.print(int i)
48=System.out.print(long l)
49=System.out.print(Object obj)
50=System.out.print(String s)
51=System.out.println(boolean b)
52=System.out.println(char c)
53=System.out.println(char[] s)
54=System.out.println(double d)
55=System.out.println(float f)
56=System.out.println(int i)
57=System.out.println(long l)
58=System.out.println(Object obj)
59=System.out.println(String s)
60=System.out.wait(long timeout, int nanos)
61=System.out.wait(long timeout)
62=System.out.write(byte[] buf, int off, int len)
63=System.out.write(byte[] b)
64=System.out.write(int b)
65=System.in.equals(Object obj)
66=System.in.mark(int i)
67=System.in.read(byte[] buf, int off, int len)
68=System.in.read(byte[] b)
69=System.in.skip(long l)
70=System.in.wait(long timeout, int nanos)
71=System.in.wait(long timeout)

[Sample]
1=void TestNumber()
2={
3=  int i = GetNumber();
4=  // Test number
5=  if (i < 20)
6=    ShowResult("Less than 20");
7=}
8=
9=
10=
11=
12=

